/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#pragma once
#include "CoreMinimal.h"
#include "Factories/Factory.h"

#include "InworldTextEmbeddingsFactory.generated.h"

UCLASS(HideCategories = Object)
class INWORLDRUNTIMEEDITOR_API UInworldTextEmbeddingsFactory : public UFactory
{
	GENERATED_BODY()

public:
	UInworldTextEmbeddingsFactory();

	virtual UObject* FactoryCreateNew(
		UClass* Class, UObject* InParent, FName Name, EObjectFlags Flags, UObject* Context, FFeedbackContext* Warn) override;
};
